Core - Task # 38759

Task # 38755 (Accepted): Usability issues collected on the UX sprint

Status: Resolved Priority: Should have

Author: Steffen Ritter Category: Backend User Interface
Created: 2012-07-08 Assigned To:

Updated: 2012-08-02 Due date:

TYPOS3 Version: 6.0

PHP Version:

Complexity: easy

Sprint Focus:

Subject: Swap doc header rows in all backed modules

Description

The contents of the do headers need to be adjusted.
Module relevant things ( like the submodule switch) should be on top while the content related things (save icon for example) should

be in the second row - near the content.

Missing do headers should be added to the modules lacking them...

Related issues:

related to TYPO3 CMS Usability Team - Suggestion # 33508: Switch function bar...
precedes Core - Feature # 38956: Swap doc header rows in workspace module

Closed 2012-01-28
Resolved 2012-07-15

Associated revisions

Revision 703bca18 - 2012-08-02 19:17 - Felix Kopp

[FEATURE] Swap doc header rows in all backend modules

Swaps all docHeader rows for the backend modules.

Function menu and CSH are moved to the top row while

buttons (save, close and shortcut) are moved underneath.

Also includes a compatibility layer for non-core legacy

extensions that don't include expected template structure.

These non-standard docHeaders are reformated by CSS.

To deliver fall-back logic the HTML structure was redefined.

Change-Id: 1345646b053a1587b0f82a9bde43b479b8cad767e

Resolves: #38759
Resolves: #33508
Releases: 6.0

Reviewed-on: http://review.typo3.org/12788

Reviewed-by: Max Roesch

Reviewed-by: Wouter Wolters

Tested-by: Wouter Wolters

Reviewed-by: Christian Kuhn

Tested-by: Christian Kuhn

Revision cd302f58 - 2012-08-03 12:19 - Felix Kopp
http://review.typo3.org/12788

[FEATURE] Swap doc header rows

Swaps docheader rows within workspace backend module.

Change-Id: Iba019cd3421b245f908f7ef1017e618562a3e44e
Fixes: #38956

Related: #38759

Related: #33508

Releases: 6.0

Reviewed-on: http://review.typo3.org/12805

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision dc5e9e30 - 2012-08-08 16:07 - Felix Kopp

[FEATURE] Swap doc header rows in all backend modules

Swaps all docHeader rows for the backend modules.

Function menu and CSH are moved to the top row while
buttons (save, close and shortcut) are moved underneath.

Also includes a compatibility layer for non-core legacy
extensions that don't include expected template structure.
These non-standard docHeaders are reformated by CSS.
To deliver fall-back logic the HTML structure was redefined.

Change-Id: 1345646b053a1587b0f82a9bde43b479b8ca4767e

Resolves: #38759
Resolves: #33508
Releases: 6.0

Reviewed-on: http://review.typo3.org/12788

Reviewed-by: Max Roesch

Reviewed-by: Wouter Wolters

Tested-by: Wouter Wolters

Reviewed-by: Christian Kuhn

Tested-by: Christian Kuhn

Revision 577b40e3 - 2012-08-12 14:03 - Felix Kopp
[FEATURE] Swap doc header rows in all backend modules

Swaps all docHeader rows for the backend modules.

Function menu and CSH are moved to the top row while
buttons (save, close and shortcut) are moved underneath.

Also includes a compatibility layer for non-core legacy

extensions that don't include expected template structure.
These non-standard docHeaders are reformated by CSS.

To deliver fall-back logic the HTML structure was redefined.

Change-Id: 1345646b053a1587b0f82a9bde43b479b8cad767e
Resolves: #38759

Resolves: #33508

Releases: 6.0

Reviewed-on: http://review.typo3.org/12788

Reviewed-by: Max Roesch
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2012-07-13 15:09 - Felix Kopp

Yes!!!

#2 - 2012-07-14 01:56 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12788

#3 - 2012-07-14 22:11 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12788

#4 - 2012-07-15 00:36 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12788

#5 - 2012-07-15 13:30 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12788

#6 - 2012-07-17 13:39 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12788
#7 - 2012-07-17 13:41 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12788

#8 - 2012-07-17 22:50 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12788

#9 - 2012-07-29 17:08 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12788

#10 - 2012-08-01 11:09 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12788

#11 - 2012-08-01 12:38 - Felix Kopp
Core team/Release Manager marked the technical implementation as OK.
Test environment is being installed right now.

Only UX feedback missing.

See https://review.typo3.org/#/c/12788/

#12 - 2012-08-02 14:27 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12788

#13 - 2012-08-02 19:30 - Felix Kopp
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:703bca182708d8dd763049ea887977707f62f74c.
